
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* Active link for frontend start */

.profile-link.active, .profile-link.active .lab {
    --tw-text-opacity: 1;
    color: rgb(var(--primary) / var(--tw-text-opacity));
}

/* Active link for frontend close */

/* Date picker code start*/
.dp__input {
    --tw-border-opacity: 1;
    border-color: rgb(229 231 235 / var(--tw-border-opacity)) !important;
    color: inherit !important;
    font-family: var(--client-font) !important;
    font-size: 0.875rem !important;
}

.dp__input:hover {
    --tw-border-opacity: 1;
    border-color: rgb(229 231 235 / var(--tw-border-opacity)) !important;
    color: inherit !important;
}

.dp__input_focus {
    border-color: rgb(var(--primary) / 0.2) !important;
    color: inherit !important;
}

/* Date picker code close here*/


/* Tag package customize start*/
.vue-tags-input {
    max-width: 100% !important;
}

.vue-tags-input .ti-input {
    --tw-border-opacity: 1 !important;
    border-radius: 0.375rem;
    border-color: rgb(229 231 235 / var(--tw-border-opacity)) !important;
}

.vue-tags-input.ti-focus .ti-input {
    border-color: rgb(var(--primary) / 0.2) !important;
}

.vue-tags-input.invalid-tag .ti-input {
    --tw-border-opacity: 1 !important;
    border-color: rgb(252 165 165 / var(--tw-border-opacity)) !important;
}

/* Tag package customize end*/

/* Textarea package customize start */
.textarea-error-box-style {
    padding: 0;
    margin: 0;
    border: 1px solid;
    border-radius: 0.375rem;
}

.textarea-error-box-style.invalid::before {
    content: none !important;
}

.textarea-border-radius {
    border-radius: 0 0 0 0.375rem;
    border-color: rgb(229 231 235 / var(--tw-border-opacity)) !important;
}

.ql-toolbar.ql-snow {
    border: 1px solid rgb(229 231 235) !important;
    border-top-left-radius: 0.375rem;
    border-top-right-radius: 0.375rem;
}

.ql-container.ql-snow {
    border-left: 1px solid rgb(229 231 235) !important;
    border-right: 1px solid rgb(229 231 235) !important;
    border-bottom: 1px solid rgb(229 231 235) !important;
}

/* Textarea package customize end */

/* Text details v-html section start */
.text-description>ol {
    list-style: auto !important;
    margin: auto !important;
    padding: revert !important;
}

.text-description>ul {
    list-style: unset !important;
    margin: auto !important;
    padding: revert !important;
}

/* Text details v-html section end */

/* Select code start */
.vue-select.no-radius {
    border-radius: 0 !important;
}

.vue-select {
    width: auto !important;
    border: 1px solid rgb(229 231 235 / var(--tw-border-opacity)) !important;
    border-radius: 0.375rem !important;
    display: flex !important;
    align-items: flex-start !important;
    justify-content: center !important;
    flex-direction: column !important;
}

.vue-select.invalid {
    border: 1px solid rgb(252 165 165 / var(--tw-border-opacity)) !important
}

.vue-input {
    padding: 0.1rem 0 !important;
}

.vue-input input {
    font-size: 0.9375rem !important;
    font-weight: 400 !important;
    line-height: 1.3 !important;
}

.vue-input input::placeholder {
    color: #697a8d !important;
}

.vue-dropdown {
    border: 1px solid rgb(var(--primary) / 0.2) !important;
    box-shadow: 0 0.25rem 1rem rgb(229 231 235 / 45%) !important;
}

.vue-select.direction-top .vue-dropdown {
    border-top-left-radius: 0.375rem !important;
    border-top-right-radius: 0.375rem !important;
    z-index: 100000;
}

.vue-select.direction-bottom .vue-dropdown {
    border-bottom-left-radius: 0.375rem !important;
    border-bottom-right-radius: 0.375rem !important;
    z-index: 100000;
}

.vue-select[aria-expanded='true'].direction-top {
    border-top-left-radius: 0 !important;
    border-top-right-radius: 0 !important;
}

.vue-select[aria-expanded='true'].direction-bottom {
    border-bottom-left-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.vue-select[aria-expanded='true'] {
    border-color: rgb(var(--primary) / 0.2) !important;
}

.vue-dropdown-item.highlighted {
    background-color: rgba(67, 89, 113, .04) !important;
}

.vue-dropdown-item.selected.highlighted {
    background-color: rgba(105, 108, 255, .08) !important;
    color: rgb(var(--primary) / var(--tw-text-opacity)) !important;
}

.vue-dropdown-item.selected {
    background-color: rgba(105, 108, 255, .08) !important;
    color: rgb(var(--primary) / var(--tw-text-opacity)) !important;
}

.vue-dropdown-item {
    font-size: 15px;
    padding: 0.4375rem 0.875rem !important;
}

.frontend-select input::placeholder {
    font-size: 1rem !important;
    color: rgb(31 31 57 / 1) !important;
}

/* Select code close */

/* Range slider code start */
.simple-range-slider-popover.simple-range-slider-popover-left,
.simple-range-slider-popover-arrow,
.simple-range-slider-popover.simple-range-slider-popover-right {
    display: none;
}

.simple-range-slider .simple-range-slider-bg-bar {
    margin: 10px 10px 10px !important;
}

.simple-range-slider .simple-range-slider-bg-bar .simple-range-slider-anchor {
    background: #ffffff !important;
}

/* Range slider code close */

/* Icon size start */

.lab-font-color-1 {
    color: #dee2e5 !important;
}

[class="lab"].lab-font-size-20, [class^="lab-"].lab-font-size-20, [class*=" lab-"].lab-font-size-20 {
    font-size: 20px !important;
}

[class="lab"].lab-font-size-2xl, [class^="lab-"].lab-font-size-2xl, [class*=" lab-"].lab-font-size-2xl {
    font-size: 1.5rem !important;
    line-height: 2rem !important;
}

[class="lab"].lab-font-size-xl, [class^="lab-"].lab-font-size-xl, [class*=" lab-"].lab-font-size-xl {
    font-size: 1.25rem !important;
    line-height: 1.75rem !important;
}

[class="lab"].lab-font-size-8, [class^="lab-"].lab-font-size-8, [class*=" lab-"].lab-font-size-8 {
    font-size: 8px !important;
}

[class="lab"].lab-font-size-10, [class^="lab-"].lab-font-size-10, [class*=" lab-"].lab-font-size-10 {
    font-size: 10px !important;
}

[class="lab"].lab-font-size-16, [class^="lab-"].lab-font-size-16, [class*=" lab-"].lab-font-size-16 {
    font-size: 16px !important;
}

[class="lab"].lab-font-size-24, [class^="lab-"].lab-font-size-24, [class*=" lab-"].lab-font-size-24 {
    font-size: 24px !important;
}

[class="lab"].lab-font-size-14, [class^="lab-"].lab-font-size-14, [class*=" lab-"].lab-font-size-14 {
    font-size: 14px !important;
}

/* Icon size close */

/* installer code start */
.bg-installer {
    background-image: url(../../../images/required/installer.jpg);
}

/* installer code close */

/* installer code close */
iframe.w-full.rounded-2xl {
    background: rgb(20, 20, 20) !important;
}

.sr-only {
    left: inherit !important;
}

input[type="date"]::-webkit-calendar-picker-indicator {
    background: transparent;
    color: transparent;
    cursor: pointer;
    position: absolute;
    inset: 0;
    z-index: 10;
    height: 100%;
    width: 100%;
}

.drawer:where([dir="ltr"], [dir="ltr"] *) {
    right: 0px;
    --tw-translate-x: 100%;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.drawer:where([dir="rtl"], [dir="rtl"] *) {
    left: 0px;
    right: unset !important;
    --tw-translate-x: -100%;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.drawer.active:where([dir="ltr"], [dir="ltr"] *) {
    --tw-translate-x: 0px;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.drawer.active:where([dir="rtl"], [dir="rtl"] *) {
    --tw-translate-x: -0px;
    right: unset !important;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.dp__clear_icon{
    right: 1px !important;
}
[dir="rtl"] .dp__clear_icon{
    right: unset !important;
    left: 1px !important;
}

.dp__input_icons {
    background: #fff;
    padding: 4px 4px !important;
}

 /* fix navbar in header buttom section */

 .header-nav-list{
    justify-content: start !important;
 }
 .header-nav-menu{
    padding: 18px 0 !important;
    color: white !important;
    font-size: 18px !important;
    font-weight: 500 !important;
    font-family: inherit !important;
 }
 /* poductlist component page css*/
 .productlist-card{
--tw-shadow: 0px 0px 10px rgba(0, 0, 0, 0.062);
padding: 8px 12px;
border: 1px solid #F3F4F6;
 }
 .productlist-card h3 .productcard-maintitle {
    display: -webkit-box;
  -webkit-line-clamp: 3 !important;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  font-family: "Poppins", serif;
  font-weight: 400;
  font-size: 14px;
 }
 .discount-price_badges{
    z-index: 999;
    margin: 4px;
    padding: 3px 5px;
    font-size: 10px;
    line-height: 1.4;
    font-weight: 500;
 }
 .discount-price_badges .discount-percentage{
    margin: 0;
    padding: 0;
 }
/* price-box_wraper */
.price-box_wraper{
    width: 100%;
    display: flex;
    align-items: start;
    justify-content: space-between;
    gap: 0px;
    flex-direction: column;
}

.price-box_wraper .discont-price-container{
    margin-bottom: 0;
    display: inline-block;
    font-weight: 600;
    color: #888888f6;
}
.price-box_wraper .discont-price-container .discount-price{
    font-weight: 500;
    color: #888888f6;
    font-size: 13px;
    text-decoration: line-through;
    font-family: "Poppins", serif;
}
.price-box_wraper .original-price{
    font-size: 20px;
    color: #bd2b26;
    font-family: "poppins", serif;
    font-weight: 500;
    font-size: 18px;
  }
 /* add to cart button in poductlist component */
 .addcard-button_wraper{
    width: 100%;
    display: block;
    margin-top: 20px;
 }
 .addcard-button_wraper .addcard-button{
  width: 100%;
  border: none;
  outline: none;
  font-size: 1rem;
  line-height: 1.5rem;
  font-weight: 700;
  text-align: center;
  padding: 10px 8px;
  /* background: #1F1F39;
  border: 1px solid #1F1F39;
  color: #bd2b26; */
  background: #bd2b26;
  color: white;
  border: 1px solid #bd2b26;

  border-radius: 5px;
  transition: all 0.3s ease-in-out;
 }
 .addcard-button_wraper .addcard-button:hover{
    /* background: #bd2b26; */
    background: #1F1F39;
    border: 1px solid #1F1F39;
 }
 /* tab specification in product details component */
 .product-price-count_wraper{
   display: flex;
   align-items: center;
   justify-content: space-between;
   gap: 16px;
   padding: 16px 0;
 }
 .product-price-count_wraper .product-price-count{
    display: flex;
    align-items: center;
    gap: 28px;
    font-family: "Poppins", serif;
 }
 .product-price-count_wraper .product-price-count .price-letter{
    font-size: 20px;
    font-weight: 600;
    line-height: 1.7rem;
    color: #333;
    margin-bottom: 0;
 }
 .product-price-count_wraper .product-price-count .price-number_wraper{
    display: flex;
    align-items: center;
    margin-bottom: 0;
    gap: 16px;
    flex-wrap: wrap;
 }
 .product-price-count_wraper .product-price-count .price-number_wraper .discount-price{
    font-size: 12px;
    font-weight: 500;
    line-height: 24px;
   color: #888;
   text-decoration: line-through;

 }
 .product-price-count_wraper .product-price-count .price-number_wraper .original-price{
    font-size: 18px;
    line-height: 1.75rem;
    font-weight: 500;
    color: #bd2b26;
 }
 /* quantity btn css in product details page*/
 .quantity-cirle-btn{
    font-size: 32px !important;
 }
 .porductaddto-cardbtn{
    width: 100%;
   background-color: #bd2b26;
    border-radius: 12px;

 }
 .porductaddto-cardbtn:hover{
    background-color: #bd2b26
 }
 .product-favorite-btn {
    border-radius: 10px;
 }
/* checkbox add to compare section */
.checkbox-container {
    display: flex;
    justify-content: end;
    align-items: center;
    gap: 8px;
}


/* Hide the default checkbox */
.checkbox-container .checkbox {
    appearance: none;
    border: 2px solid #d9d9d9;
    border-radius: 5px;
    color: #000;
    cursor: pointer;
    height: 22px;
    min-width: 22px;
    outline: 0;
    position: relative;

}
.checkbox-container input[type=checkbox]:checked {
    background: #bd2b26;
    border-color: #bd2b26;
    color: #fff;
}
.checkbox-container .checkbox-label{
    font-size: 16px;
    font-weight: 500;
    color: #333;
    line-height: 1.4;
}
/* key specification */
.key-specification_wraper{
    color: #191919;
    font-size: 16px;
    line-height: 24px;
}
.key-specification_wraper .key-title{
    color: #333e48;
    font-size: 16px;
    font-weight: 600;
    padding-bottom: 16px;
    text-transform: capitalize;
}
.key-specification_wraper .key-list{
    list-style-type: disc;
    padding-left: 18px;
}
.key-specification_wraper .key-list .key-list-item{
    font-size: 15px;
    padding-left: 10px;
    font-weight: 400;
    line-height: 1.4;
    color: #686868;
    letter-spacing: 0.4px;
    margin-bottom: 8px;
}
.key-specification_wraper .key-list .key-list-item .key-strong{
    font-weight: bolder;
}




 /* tabs specification section */

 .tab-specification_wraper .specification-table {
    width: 100%;
    border-collapse: collapse;
}

.tab-specification_wraper .specification-table tr {
    border-bottom: 1px solid #d9d9d9;
    margin-top: 2rem;
}
.specification-table tr:last-child{
    border: none;
}
.tab-specification_wraper .specification-table tr td:first-child{
    font-weight: 600;
}
.tab-specification_wraper .specification-table tr td:nth-child(2){
    font-weight: 400;
    padding-left: 100px;
}
.tab-specification_wraper .specification-table td {
    color: #191919;
    font-size: 16px;
    line-height: 21px;
    padding: 12px 0;
}
 .tab-specification_wraper.specification-table td a{
    text-decoration: none;
}
/* add to card section bottom design
css  in product details page*/
.bottom-quantity-card_wrapre{
    display: none;
    width: 100%;
    background: white;
    z-index: 2;
    box-shadow: inset 5px 5px 10px rgb(0 0 0 / 4%);
    position: fixed;
    left: 0;
    bottom: 62px;
    padding: 14px 8px 24px 8px;
    border-top:1px solid #f2f2f2;

}
.product-quantity_wraper{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 16px;
    margin: 0 10px 8px 4px;
}
.bottom-checkbox-container {
    display: flex;
    justify-content: end;
    align-items: center;
    gap: 8px;
}
.bottom-checkbox-container .buttom-checkbox{
    appearance: none;
    border: 2px solid #d9d9d9;
    border-radius: 5px;
    color: #000;
    cursor: pointer;
    height: 20px;
    min-width: 20px;
    outline: 0;
    position: relative;

}
.bottom-checkbox-container input[type=checkbox]:checked {
    background: #bd2b26;
    border-color: #bd2b26;
    color: #fff;
}
.bottom-checkbox-container .buttom-checkbox-label{
    font-size: 16px;
    font-weight: 400;
    color: #333;
    line-height: 1.4;
}

/* bottom product-compare-list_wraper*/
.product-compare-list_wraper{
    position: fixed;
    right: 10px;
    bottom: 0;
    z-index: 999;
}
.product-compare-list_wraper .compare-prduct-btn_wraper{
    margin: 0;
    padding: 0;
}
.product-compare-list_wraper .compare-prduct-btn_wraper:hover ~ .compare-product {
    transform: scale(1);
    opacity: 1;
}
.product-compare-list_wraper:hover .text-compare {
 display: block !important;
 padding: 0 2px;
  opacity: 1 !important;
  visibility: visible !important;
  transition: opacity 0.5s ease-in-out !important;
  }

.product-compare-list_wraper .compare-prduct-btn_wraper .compare-btn_link{
    position: relative;
    z-index: 9;
    padding: 8.5px 12px;
    font-size: 16px;
    font-weight: 600;
    background: #bd2b26;
    border-radius: 4px;
    border: none;
    color: #fff;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;

}
.product-compare-list_wraper .compare-prduct-btn_wraper .compare-btn_link .text-compare{
    display: none;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s ease-in-out, visibility 0s linear 0.5s;
}
.product-compare-list_wraper .compare-prduct-btn_wraper .compare-btn_link .num-product-compare{
    padding: 0 5px;
    background: rgba(0, 0, 0, .3);
    margin-left: 5px;
}
.product-compare-list_wraper .compare-product{
    background: #f2f2f2;
    padding-bottom: 55px;
    border: 1px solid #cfcfcf;
    box-shadow: none;
    position: absolute;
    bottom: -10px;
    right: -10px;
   transform: scale(0);
   opacity: 0;
   transform-origin: bottom right;
   transition: transform 0.3s ease, opacity 0.3s ease;
   pointer-events: all;
}
.product-compare-list_wraper .compare-product:hover{
    transform: scale(1);
    opacity: 1;

}

.product-compare-list_wraper .compare-product .remove-all-btn{
    position: absolute;
    bottom: 20px;
    left: 10px;
    color: #707070;
    font-size: 12px;
    letter-spacing: 0;
    font-weight: 600;
    text-decoration: underline;
    text-transform: initial;
}
.product-compare-list_wraper .compare-product .product-list{
    display: inline-flex ;
    list-style: none;
    margin: 0;
    padding: 0;
    background-color: #fff;
    flex-direction: row-reverse;
    border-bottom: 1px solid #cfcfcf;
}
.product-compare-list_wraper .compare-product .product-list .product-item {
    padding: 10px 15px;
    border-left: 1px solid #cfcfcf;
    min-width: 160px;
    list-style: none;
    margin: 0;
    width: 150px;
    text-align: center;
    box-sizing: border-box;
    position: relative;
}

.product-compare-list_wraper .compare-product .product-list .product-item .cancel-iocn{
   position: absolute;
   top: 6px;
   right: 6px;
   display: inline-block;
   max-width: 100%;
   cursor: pointer;
}
.product-compare-list_wraper .compare-product .product-list .product-item .image-wraper{
  width: 110px;
  height: auto;
  padding-top: 18px;
}
.product-compare-list_wraper .compare-product .product-list .product-item .image-wraper img{
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
}
.product-compare-list_wraper .compare-product .product-list .product-item .porduct-content{
    display: inline-block;
    padding-top: 12px;
}
.product-compare-list_wraper .compare-product .product-list .product-item .porduct-content .content{
    font-size: 13px;
    font-weight: 600;
    line-height: 1.4;
    color: #000;
    text-align: start;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-bottom: 0;
}


/* compare table comparison  */
.table-comparison_wraper{
    clear: both;
    max-width: 100%;
    overflow-x: auto;
    margin-bottom: 20px;
    padding-top: 2rem;
}
.table-comparison_wraper .product-table-comparison:not(.cart):not(.totals) {
    border: none;
}
.table-comparison_wraper .product-table-comparison{
    table-layout: fixed;
    margin: 0 0 1.5rem;
    width: 100%;
    border-collapse: collapse;
    border-spacing: 0;
}
.table-comparison_wraper .product-table-comparison tr{
    border: 1px solid #ddd;
}
.table-comparison_wraper .product-table-comparison thead tr{
    border-bottom: none;
}
.table-comparison_wraper .product-table-comparison thead tr td{
    border: none;
    border-bottom: none !important;
}
.table-comparison_wraper .product-table-comparison thead th{
    border: none;
    border-bottom: none !important;
}

.table-comparison_wraper .product-table-comparison .cell.remove{
    padding-bottom: 0;
    padding-top: 0;
    text-align: right;
}

.table-comparison_wraper .product-table-comparison .cell{
    padding: 6px 10px;
    width: 140px;
    text-align: left;
}
.table-comparison_wraper .product-table-comparison .cell.label.remove .remove-product{
    border: 0;
    clip: rect(0, 0, 0, 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}
.table-comparison_wraper .product-table-comparison .cell.remove .product-delet_link{
    display: inline-block;
    text-decoration: none;
    padding: 5px;
    color: #333;
    background-color: transparent;
}
.table-comparison_wraper .product-table-comparison .cell.remove .product-delet_link .delete-icon{
    display: inline-block;
    width: 20px;
    height: 20px;
    opacity: 0.8;
}

.table-comparison_wraper .product-table-comparison .compare-image .compare-image-header{
    position: relative;
}

.table-comparison_wraper .product-table-comparison .compare-image .show-differnce_box{
    padding: 0;
    width: 100%;
    word-wrap: break-word;
    font-size: 14px;
    display: flex;
    align-items: center;
    justify-content: baseline;
    gap: 6px;
    position: absolute;
    top: 6px;
    left: 10px;
    cursor: pointer;
}
.table-comparison_wraper .product-table-comparison .compare-image .show-differnce_box input[type=checkbox]{
    height: 18px;
    width: 18px;
    z-index: 999;
    border-radius: 4px;
    cursor: pointer;

}
.table-comparison_wraper .product-table-comparison .compare-image .show-differnce_box label{
    font-size: 15px;
    font-weight: 700;
    line-height: 1.4;
    padding: 0;
}

.table-comparison_wraper .product-table-comparison .compare-image .cell-product-info{
    border-bottom: 1px solid #d1d1d1;
}
.table-comparison_wraper .product-table-comparison .compare-image .cell-product-info .product-image_link{
    display: block;
    margin: 0 auto 15px;
    text-decoration: none;
    color: #333;
    display: flex;
    align-items: center;
    justify-content: center;
}
.table-comparison_wraper .product-table-comparison .compare-image .cell-product-info .product-image_link img{
    width: 132px;
    height: auto;
    object-fit: cover;
    object-position: center;
}



.table-comparison_wraper .product-table-comparison .product-details_features{
    display: block;
    margin: 15px 0;
    word-wrap: break-word;
    font-weight: 400;

}
.table-comparison_wraper .product-table-comparison .product-details_features .details_link{
    color: #191919;
    text-decoration: none;
    outline: none;
    font-size: 16px;
    font-weight: 400px;
    line-height: 1.2;
    word-spacing: 2px;
    background: transparent;
    letter-spacing: 0.4px;
}
.table-comparison_wraper .product-table-comparison .product-details_features .details_link:hover{
    text-decoration: underline;
}

.table-comparison_wraper .product-table-comparison .compare-price .compare-price_wraper{
 display: flex;
 align-items: center;
 justify-content: center;
 flex-direction: column;
 margin: 15px 0;
}
.table-comparison_wraper .product-table-comparison .compare-price .compare-price_wraper .discount-price{
    font-size: 14px;
    font-weight: 500;
    line-height: 24px;
    color: #888;
    text-decoration: line-through;
}
.table-comparison_wraper .product-table-comparison .compare-price .compare-price_wraper .original-price{
    font-size: 18px;
    line-height: 1.75rem;
    font-weight: 500;
    color: #bd2b26;
    margin-bottom: 0;
}
.table-comparison_wraper .product-table-comparison .compare-button_wraper .compare-addcart-btn{
    font-size: 16px;
    font-weight: 500;
    color: #fff;
    display: flex;
    align-items: center;
    gap: 4px;
    padding: 8px 16px;
    line-height: 1.4;
    border-radius: 6px;
    background: #1f1f39;
}
.table-comparison_wraper .product-table-comparison .compare-button_wraper .compare-addcart-btn:hover{
    background: #94a3b8;
}
.table-comparison_wraper .product-table-comparison .compare-button_wraper .compare-wishlist{
    border: none;
    padding: 0;
    width: 32px;
    background: #f7f7fa;
    text-align: center;
    border-radius: 50%;
    height: 32px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin-right: 3px;
}

.table-comparison_wraper .product-table-comparison .compare-data .heading-title{
    display: block;
    font-size: 16px;
    font-weight: 600;
    line-height: 1.4;
    color: #191919;
}
.table-comparison_wraper .product-table-comparison .compare-data .compare-data_list span{
    font-size: 14px;
    font-weight: 400;
    line-height: 1.4;
    color: #191919;
    letter-spacing: 0.8px;
    word-spacing: 0.5px;
}

  /* details-tab-btn_container in details page  */
  .details-tab-btn_container{
    padding: 0 16px;

  }
  .details-tab-btn_container .details-tab-btn{
    border: none;
    position: relative;
    background: transparent;
    transition: all 0.3s ease-in-out;
    font-weight: 600 !important;
    padding: 20px 10px;
  }
  .details-tab-btn_container .details-tab-btn.active{
  background: none;
  color: #1F1F39;

  }
  .details-tab-btn_container .details-tab-btn.active::after{
    position: absolute;
    content: "";
    left: 0;
    bottom: -2px;
    height: 3px !important;
    width: 100%;
    background: #bd2b26;
    border-radius: 24px;
    transition: all 0.3s ease-in-out;

  }

  /* compare btn design for small device */


      /* Style for the button that triggers the dropdown */
     .sm-product-compare-btn{
        padding: 4px 6px;
        background: #bd2b26;
        color: white;
        cursor: pointer;
        border: none;
        border-radius: 5px;
        font-size: 16px;
      }
      .sm-product-compare-btn .compare-btn_link{
        font-weight: 600;
        color: #fff;
        display: flex ;
        align-items: center;
        justify-content: center;
        gap: 4px;
      }
      .sm-product-compare-btn .compare-btn_link .num-product-compare{
        padding: 2px;
         background: rgba(0, 0, 0, .3);
        font-size: 10px;
        font-weight: 600;
        margin-bottom: 0;
        text-align: center;
      }

      /* Style for the dropdown menu */
     .sm-compare_product_wraper {
        padding: 0;
        margin: 0;
         background-color: #f2f2f2;
        border: 1px solid #ddd;
        /* box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
        z-index: 99;
     */
      }

      /* Show the dropdown menu when checkbox is checked */

    .sm-compare_product_wraper .sm-remove-all-btn{
        color: #707070;
        font-size: 12px;
        letter-spacing: 0;
        font-weight: 600;
        text-decoration: underline;
        text-transform: initial;
    }
    .sm-compare_product_wraper .sm-compare-btn{
        color: white;
        font-size: 12px;
        letter-spacing: 0;
        font-weight: 600;
        text-transform: initial;
        padding: 4px 8px;
        background: #bd2b26;
        border-radius: 4px;
        text-transform: capitalize;
        display: flex ;
         align-items: center;
         gap: 2px;
    }
    .sm-compare_product_wraper .sm-compare-btn:hover{
        background: #bd2b26;
    }
    .sm-compare_product_wraper .sm-product-list{
        display: flex;
       flex-direction: column;
        align-items: center;
        list-style: none;
        margin: 0;
        padding: 0;
        background-color: #fff;

    }
    .sm-compare_product_wraper .sm-product-list .sm-product-item {
        padding: 10px 15px;
        list-style: none;
        margin: 0;
        width: 100%;
        position: relative;
        border-bottom: 1px solid #cfcfcf;
    }

    .sm-compare_product_wraper .sm-product-list .sm-product-item .sm-cancel-iocn{
        max-width: 100%;
        cursor: pointer;
        position: absolute;
        right: 8px;
        top: 8px;
    }
    .sm-compare_product_wraper .sm-product-list .sm-product-item .sm-image-wraper{

     max-width: 82px;
      margin: 0;
      padding: 0;
      overflow: hidden;
      box-sizing: border-box;
     flex-shrink: 0;
    }
    .sm-compare_product_wraper .sm-product-list .sm-product-item .sm-image-wraper img{
        width: 100%;
        height: auto;
        object-fit: cover;
        object-position: center;
    }

    .sm-compare_product_wraper .sm-product-list .sm-product-item .sm-product-content{
        font-size: 14px;
        font-weight: 500;
        line-height: 1.4;
        color: #000;
        text-align: start;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 3;
        overflow: hidden;
        text-overflow: ellipsis;
        margin-bottom: 0;
    }
    /* contact page section */
   .contactbox_wraper .form-box_wraper input{
    border: 1px solid #808080a1 ;
    transition: border-color 0.3s ease;
   }
   .contactbox_wraper .form-box_wraper input:focus{
    border-color: #bd2b26!important;
   outline: none;
   }
   .contactbox_wraper .form-box_wraper textarea{
    border: 1px solid #808080a1 ;
    transition: border-color 0.3s ease;
   }
   .contactbox_wraper .form-box_wraper textarea:focus{
    border-color: #bd2b26 !important;
   outline: none;
   }
/* product cart list as grid start */

  .productlist-item_wraper {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));

}
.productlist-item_wraper .product-item:nth-child(1), .productlist-item_wraper .product-item:nth-child(2), .productlist-item_wraper .product-item:nth-child(3){
    border-top: 1px solid #cfcfcf;
}
.productlist-item_wraper .product-item:nth-child(3n+1){
    border-left: 1px solid #cfcfcf;
}
.productlist-item_wraper .product-item{
    background-color: #fff;
    border: 1px solid #cfcfcf;
    border-left: none;
    border-top: none;
}


/*  product cart list as grid end*/

/* product cart list as slider start */
  .swiper-productcart-slider .swiper-button-prev:where([dir="ltr"], [dir="ltr"] *) {
    left: auto;
    right: 3rem;
    --tw-content: '\e038';
    content: var(--tw-content);
}

.swiper-productcart-slider .swiper-button-prev{
    top: 1.5rem;
    height: 2.5rem;
    width: 2.5rem;
    border-radius: 9999px;
    --tw-bg-opacity: 1;
    background-color: rgb(var(--primary-slate) / var(--tw-bg-opacity, 1));
    text-align: center;
    line-height: 2.5rem;
    --tw-text-opacity: 1;
    color: rgb(var(--primary) / var(--tw-text-opacity, 1));
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
}
.swiper-productcart-slider .swiper-button-prev::after{
    font-size: 1.25rem;
    line-height: 1.75rem;
}

.productcart-list_slider .swiper-productcart-slider{
    padding-top: 3rem;
}

.swiper-productcart-slider .swiper-button-next:where([dir="ltr"], [dir="ltr"] *) {
    right: 0px;
}
.swiper-productcart-slider .swiper-button-next{
    top: 1.5rem;
    height: 2.5rem;
    width: 2.5rem;
    border-radius: 9999px;
    --tw-bg-opacity: 1;
    background-color: rgb(var(--primary-slate) / var(--tw-bg-opacity, 1));
    text-align: center;
    line-height: 2.5rem;
    --tw-text-opacity: 1;
    color: rgb(var(--primary) / var(--tw-text-opacity, 1));
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
    left: auto;
}
.swiper-productcart-slider .swiper-button-next::after{
    font-size: 1.25rem;
    line-height: 1.75rem;
}

.swiper-productcart-slider .swiper-button-prev.swiper-button-disabled, .swiper-productcart-slider .swiper-button-next.swiper-button-disabled{
    opacity: 1 !important;
}

.swiper-productcart-slider .swiper-button-prev:hover, .swiper-productcart-slider .swiper-button-next:hover{
    visibility: visible;
    opacity: 1;
    background-color: #bd2b26;
    color: white;
}

/* promotion cart list as slider start */
.ad-swiper .swiper-button-prev:where([dir="ltr"], [dir="ltr"] *) {
    left: auto;
    right: 3rem;
    --tw-content: '\e038';
    content: var(--tw-content);
}

.ad-swiper .swiper-button-prev{
    top: 1.5rem;
    height: 2.5rem;
    width: 2.5rem;
    border-radius: 9999px;
    --tw-bg-opacity: 1;
    background-color: rgb(var(--primary-slate) / var(--tw-bg-opacity, 1));
    text-align: center;
    line-height: 2.5rem;
    --tw-text-opacity: 1;
    color: rgb(var(--primary) / var(--tw-text-opacity, 1));
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
}
.ad-swiper .swiper-button-prev::after{
    font-size: 1.25rem;
    line-height: 1.75rem;
}

.ad-swiper{
    padding-top: 76px !important;
}

.ad-swiper .swiper-button-next:where([dir="ltr"], [dir="ltr"] *) {
    right: 0px;
}
.ad-swiper .swiper-button-next{
    top: 1.5rem;
    height: 2.5rem;
    width: 2.5rem;
    border-radius: 9999px;
    --tw-bg-opacity: 1;
    background-color: rgb(var(--primary-slate) / var(--tw-bg-opacity, 1));
    text-align: center;
    line-height: 2.5rem;
    --tw-text-opacity: 1;
    color: rgb(var(--primary) / var(--tw-text-opacity, 1));
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
    left: auto;
}
.ad-swiper .swiper-button-next::after{
    font-size: 1.25rem;
    line-height: 1.75rem;
}

.ad-swiper .swiper-button-prev.swiper-button-disabled, .ad-swiper .swiper-button-next.swiper-button-disabled{
    opacity: 1 !important;
}

.ad-swiper .swiper-button-prev:hover, .ad-swiper .swiper-button-next:hover{
    visibility: visible;
    opacity: 1;
    background-color: #bd2b26;
    color: white;
}

/* product cart list as slider end */
/* new css 2025-01-30 */
.top-header .top-header-right .border-line{
    border-right: 1px solid #b2b2b2;
    padding-right: 12px;
}
.top-header .top-header-right .border-line:last-child{
    border-right: none;
    padding-right: 0;
}
.top-header .top-header-right .social-media-wrapper{
    display: flex;
    align-items: center;
    gap:8px;
}
.top-header .top-header-right .social-media-wrapper li a {
    color: #bd2b26;
    font-size: 14px;
    font-weight: 500;
    padding: 8px 10px;
    display: inline-block;
    text-decoration: none;
    border-radius: 50%;
    box-shadow: 2px 2px 6px 4px #0000000a;
    width: 30px;
    height: 30px;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background:white;
}
.top-header .top-header-right .social-media-wrapper li a .icon{
    font-size:16px;
}
.producthover:hover{
    transform: scale(1.05);
    border: 0 !important;
    box-shadow: 0 2px 6px rgb(0 0 0 / 20%);
    z-index: 111;
}
.scrollbar-hide::-webkit-scrollbar {
    display: none;
  }

  .scrollbar-hide {
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
  }

@media (max-width: 410px) {
    .sm-compare_product_wraper .sm-product-list .sm-product-item .sm-product-content{
        font-size: 10px;
    }
    .sm-compare_product_wraper .sm-compare-btn{
        font-size: 10px;
    }
    .sm-compare_product_wraper .sm-product-list .sm-product-item .sm-image-wraper{
        width: 46px;
    }
    .tab-specification_wraper .specification-table td{
        font-size: 13px;
    }
    /* compare page  css start */
    .table-comparison_wraper .product-table-comparison .cell.remove .product-delet_link .delete-icon{
        width: 18px;
        height: 18px;
    }
    .table-comparison_wraper .product-table-comparison .compare-image .cell-product-info .product-image_link{
        margin: 0px auto 4px;
    }
    .table-comparison_wraper .product-table-comparison .compare-image .cell-product-info .product-image_link img{
        width: 80px;
    }
    .table-comparison_wraper .product-table-comparison .product-details_features .details_link{
        font-size: 12px;
    }
    .table-comparison_wraper .product-table-comparison .compare-price .compare-price_wraper .discount-price{
        font-size: 10px;
        line-height: normal;
    }
    .table-comparison_wraper .product-table-comparison .compare-price .compare-price_wraper .original-price{
        font-size: 13px;
    }
    .table-comparison_wraper .product-table-comparison .compare-data .heading-title{
        font-size: 13px;
        font-weight: 600;
    }
    .table-comparison_wraper .product-table-comparison .compare-data .compare-data_list span{
        font-size: 11px;
    }
       /* compare page  css end */
       .key-specification_wraper .key-list .key-list-item{
        font-size: 13px;
       }



/* product cart list as grid start */
       /* .productlist-item_wraper {
        grid-template-columns: repeat(1, minmax(0, 1fr)) !important;
        gap: 12px;
    }
    .productlist-item_wraper .product-item{
        border-left: 1px solid #cfcfcf !important;
        border-top: 1px solid #cfcfcf !important;
    }
    .productlist-item_wraper .product-item:nth-child(3){
        border-top: 1px solid #cfcfcf !important;
    }

    .productlist-item_wraper .product-item:nth-child(3n+1){
        border-left: 1px solid #cfcfcf;
    } */
  /* product cart list as grid end */
  }

@media (max-width: 640px) {
    .tab-specification_wraper .specification-table tr td:nth-child(2){
        padding-left: 50px;
    }

    .addto-cart_wraper{
        display: none;
    }
    .quantity-compare_wraper{
        display: none;
    }


    .addcard-button_wraper .addcard-button{
        font-size: 14px;
        padding: 4px;
    }


      .price-box_wraper .discont-price-container{
        font-size: 16px !important;
      }
      .price-box_wraper .original-price{
        font-size: 13px !important;
      }
        /*category-breadcrumb component css */
    .category-breadcrumb_container{
        overflow-x: auto;
       white-space: nowrap;
       flex-wrap: nowrap;
       scrollbar-width: none;
       -ms-overflow-style: none;
    }
    .category-breadcrumb_container .category-breadcrumb-item  {
        display: inline-block;
        margin-right: 10px;
      }

      .details-tab-btn_container{
        overflow-x: auto;
        white-space: nowrap;
        flex-wrap: nowrap;
        scrollbar-width: none;
        -ms-overflow-style: none;
      }


      .productcard-maintitle_wraper {
        font-size: 14px ;
        line-height: 1.6;
      }
      .price-box_wraper .discont-price-container .discount-price{
        font-size: 14px;
      }
      .price-box_wraper{
        gap: 0px;
      }

      .sm-product-compare-list_wraper .sm-compare_product .product-list{
        flex-wrap: wrap !important;
      }
      .sm-product-compare-list_wraper .sm-compare_product .remove-all-btn{
        display: flex;
        align-items: center;
        justify-content: center;
      }
      .productlist-card h3 .productcard-maintitle{
        font-size: 12px;
      }
      .price-box_wraper .discont-price-container .discount-price{
        font-size: 10px;
      }
      .product-price-count_wraper .product-price-count .price-letter{
        font-size: 18px;
      }
      .product-price-count_wraper .product-price-count .price-number_wraper .original-price{
        font-size: 16px;
      }

     .sm-lab-line-bag{
        font-size: 15px !important;
     }
     .sm-quantity-cirle-btn {
        font-size: 26px !important;
     }
     .sm-compare_product_wraper .sm-product-list .sm-product-item .sm-product-content{
        font-size: 12px;
     }
     .sm-compare_product_wraper .sm-compare-btn{
        padding: 2px 4px;
     }
     /* compare page css start */
     .table-comparison_wraper .product-table-comparison .compare-data .heading-title{
        font-size: 14px;
        font-weight: 600;
     }
     .table-comparison_wraper .product-table-comparison .compare-data .compare-data_list span{
        font-size: 13px;
     }
     .table-comparison_wraper .product-table-comparison .compare-price .compare-price_wraper .discount-price{
        font-size: 11px;
        line-height: normal;
     }
     .table-comparison_wraper .product-table-comparison .compare-price .compare-price_wraper .original-price{
        font-size: 16px;
        line-height: normal;
     }
     .table-comparison_wraper .product-table-comparison .product-details_features .details_link{
        font-size: 14px;
     }
     .table-comparison_wraper .product-table-comparison .compare-image .cell-product-info .product-image_link img{
        width: 100px;
     }
      /* compare page css end */
      .key-specification_wraper .key-list .key-list-item{
        font-size: 14;
      }
      .sm-compare_product_wraper .sm-product-list .sm-product-item .sm-image-wraper{
        width: 64px;
      }
      .tab-specification_wraper .specification-table td{
        font-size: 14px;
      }
      /*product cart list as grid start  */
     .productlist-item_wraper .product-item .product-list{
        flex-direction: column;
        margin: 0;
        padding: 0;
        justify-content: center !important;
        align-items: center;
     }
     .productlist-item_wraper .product-item .product-list .porduct-item-info{
        width: 100% !important;
     }
     .productlist-item_wraper .product-item .product-list .product-item-details{
        width: 100% !important;
     }
       /*product cart list as grid end  */
  }

  @media (max-width: 768px) {
    .bottom-quantity-card_wrapre{
        display: block;
    }
    .productlist-item_wraper {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
    .productlist-item_wraper .product-item:nth-child(3){
        border-top: none;
    }

    .productlist-item_wraper .product-item:nth-child(1),
    .productlist-item_wraper .product-item:nth-child(2) {
        border-top: 1px solid #cfcfcf;
    }

    .productlist-item_wraper .product-item:nth-child(2n+1) {
        border-left: 1px solid #cfcfcf !important;
    }

    .productlist-item_wraper .product-item:nth-child(3n+1){
        border-left: none;
    }
  }



  @media (max-width: 1024px) {
    .sm-product-compare-list_wraper{
        display: block !important;
    }
    .product-compare-list_wraper{
        display: none !important;
    }
  }


  @media (max-width: 1280px) {
    .starrating-box_container{
        margin-bottom: 16px;
    }
    .addcard-button_wraper{
        margin-top: 16px;
    }

      .price-box_wraper .discont-price-container{
        font-size: 18px;
      }


  }


